Sign in

Get Config

GET https://{organization}.myguper.com/api/register/tier/config/{id}

Returns a single tier configuration by ID.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
id * integer Internal ID of the tier configuration.

Responses

{
    "id":       1,
    "name":     "Programa Guper",
    "levels": [
        { "id": 1, "name": "Bronze",   "minPoints": 0    },
        { "id": 2, "name": "Silver",   "minPoints": 1000 },
        { "id": 3, "name": "Gold",     "minPoints": 5000 }
    ],
    "sources": [
        { "source": "rewardCampaign", "expiresInDays": 365 }
    ],
    "isActive": true
}
Copied to clipboard